Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Functions.hpp File Reference

Destiny3D assembly functions for Memory Manager. More...

`#include "deGlobalTypes.hpp"`

Include dependency graph for Functions.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | geMem_InternalFunctions
## Typedefs
typedef void *(* | Internal_memccpyFN )(void *Ptr1, const void *Ptr2, const int C, long Len)
typedef void *(* | Internal_memchrFN )(const void *Ptr1, const int C, long Len)
typedef long(* | Internal_memcmpFN )(const void *Ptr1, const void *Ptr2, long Len)
typedef void *(* | Internal_memcpyFN )(void *Ptr1, const void *Ptr2, long Len)
typedef void *(* | Internal_memsetFN )(void *Ptr1, int C, long Len)
typedef long(* | Internal_strcmpFN )(const char *Str1, const char *Str2)
typedef long(* | Internal_strlenFN )(const char *Str)
typedef geMem_InternalFunctions | geMem_InternalFunctions
## Functions
deBoolean | InitializeInternalFunctions ()
void | ReleaseInternalFunctions ()
void * | Internal_ASM_memccpy (void *Ptr1, const void *Ptr2, const int C, long Len)
void * | Internal_ASM_memchr (const void *Ptr1, const int C, long Len)
long | Internal_ASM_memcmp (const void *Ptr1, const void *Ptr2, long Len)
void * | Internal_ASM_memcpy (void *Ptr1, const void *Ptr2, long Len)
void * | Internal_ASM_memset (void *Ptr1, int C, long Len)
long | Internal_ASM_strcmp (const char *Str1, const char *Str2)
long | Internal_ASM_strlen (const char *Str)
void * | Internal_ASM_MMX_memcpy (void *Ptr1, const void *Ptr2, long Len)
void * | Internal_ASM_MMX_memset (void *Ptr1, int C, long Len)
void * | Internal_ASM_AMD_MMX_memcpy (void *Ptr1, const void *Ptr2, long Len)
## Variables
geMem_InternalFunctions * | InternalFunctions

## Detailed Description

Destiny3D assembly functions for Memory Manager.

Author:
  Lightning

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Oct 2002

Author:
  Lightning

Remarks:
  Creation

## Typedef Documentation

typedef struct geMem_InternalFunctions geMem_InternalFunctions

typedef void*(* Internal_memccpyFN)(void *Ptr1, const void *Ptr2, const int C, long Len)

typedef void*(* Internal_memchrFN)(const void *Ptr1, const int C, long Len)

typedef long(* Internal_memcmpFN)(const void *Ptr1, const void *Ptr2, long Len)

typedef void*(* Internal_memcpyFN)(void *Ptr1, const void *Ptr2, long Len)

typedef void*(* Internal_memsetFN)(void *Ptr1, int C, long Len)

typedef long(* Internal_strcmpFN)(const char *Str1, const char *Str2)

typedef long(* Internal_strlenFN)(const char *Str)

## Function Documentation

deBoolean InitializeInternalFunctions | ( |  | ) |

void* Internal_ASM_AMD_MMX_memcpy | ( | void * | Ptr1,
|  | const void * | Ptr2,
|  | long | Len
| ) |

void* Internal_ASM_memccpy | ( | void * | Ptr1,
|  | const void * | Ptr2,
|  | const int | C,
|  | long | Len
| ) |

void* Internal_ASM_memchr | ( | const void * | Ptr1,
|  | const int | C,
|  | long | Len
| ) |

long Internal_ASM_memcmp | ( | const void * | Ptr1,
|  | const void * | Ptr2,
|  | long | Len
| ) |

void* Internal_ASM_memcpy | ( | void * | Ptr1,
|  | const void * | Ptr2,
|  | long | Len
| ) |

void* Internal_ASM_memset | ( | void * | Ptr1,
|  | int | C,
|  | long | Len
| ) |

void* Internal_ASM_MMX_memcpy | ( | void * | Ptr1,
|  | const void * | Ptr2,
|  | long | Len
| ) |

void* Internal_ASM_MMX_memset | ( | void * | Ptr1,
|  | int | C,
|  | long | Len
| ) |

long Internal_ASM_strcmp | ( | const char * | Str1,
|  | const char * | Str2
| ) |

long Internal_ASM_strlen | ( | const char * | Str | ) |

void ReleaseInternalFunctions | ( |  | ) |

## Variable Documentation

geMem_InternalFunctions* InternalFunctions